Recent

Author Topic: fphttpclient does work winth last ssl  (Read 323 times)

cpalx

  • Hero Member
  • *****
  • Posts: 619
fphttpclient does work winth last ssl
« on: October 02, 2019, 01:24:42 pm »
Hello, how can it work fpHTTPclient with last SSL?

i have a little program that works perfectly in Ubuntu 18.04, but not in Ubuntu 19.04

Lazarus 2.0.4
FPC 3.04

Handoko

  • Hero Member
  • *****
  • Posts: 3155
  • My goal: build my own game engine using Lazarus
Re: fphttpclient does work winth last ssl
« Reply #1 on: October 02, 2019, 02:20:48 pm »

Thaddy

  • Hero Member
  • *****
  • Posts: 8898
Re: fphttpclient does work winth last ssl
« Reply #2 on: October 02, 2019, 02:27:32 pm »
Yes.
Plz give the exact version: 1.1.1.c works as per my example in that thread.
Type
Code: Bash  [Select]
  1. openssl version
in a terminal window and report back.
Note I use trunk and 3.2.0, NOT 3.0.4. (Also as per that thread)

Any openssl units necessary can be checked out from trunk and used in 3.0.4, btw: they do not contain code that uses new features.
And no: 3.0.4. will not receive that fix other than doing the above. In 3.0.4 you can also set the protocol to a minimum of tls 1.1. by hand. That also works.
« Last Edit: October 02, 2019, 02:31:43 pm by Thaddy »
Most people that want to use threading should learn to patch their jeans first: use a needle.

cpalx

  • Hero Member
  • *****
  • Posts: 619
Re: fphttpclient does work winth last ssl
« Reply #3 on: October 10, 2019, 12:09:55 am »
openssl version
OpenSSL 1.1.1b
« Last Edit: October 10, 2019, 12:12:12 am by cpalx »

trev

  • Full Member
  • ***
  • Posts: 194
Re: fphttpclient does work winth last ssl
« Reply #4 on: October 10, 2019, 01:52:08 am »
Hello, how can it work fpHTTPclient with last SSL?

i have a little program that works perfectly in Ubuntu 18.04, but not in Ubuntu 19.04

Lazarus 2.0.4
FPC 3.04

Updating to FPC 3.3.1 (trunk) and adding the OpenSSLSockets unit to the project was the solution for me.

See https://forum.lazarus.freepascal.org/index.php/topic,45962.msg325664.html#msg325664
o Lazarus v2.1.0 r61775, FPC v3.3.1 r42640, macOS 10.14.6 (with sup update), Xcode 10.3
o Lazarus v2.1.0 r61574, FPC v3.3.1 r42318, FreeBSD 12.0 (Parallels VM)
o Lazarus v2.1.0 r61574, FPC v3.0.4, Ubuntu 18.04 (Parallels VM)